Bug 78677 - GDM (or X windows) freezes or crashes on logout and startup
GDM (or X windows) freezes or crashes on logout and startup
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-27 10:47 EST by Need Real Name
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 14:53:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86 Config file (3.21 KB, text/plain)
2002-12-24 04:06 EST, Need Real Name
no flags Details
XFree86.0.log (28.90 KB, text/plain)
2002-12-24 04:08 EST, Need Real Name
no flags Details
/var/log/messages.1 (267.63 KB, text/plain)
2002-12-24 04:25 EST, Need Real Name
no flags Details
/var/log/messages (204.80 KB, text/plain)
2002-12-24 04:31 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-11-27 10:47:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
I have upgraded from RH 7.3 to 8.0 and since then when I log out from user to
the login screen the GDM (or maybe it is the X windows) freezes sometimes and
sometimes causes the computer to restart. 
Recently I am having problem to get to the login manager at the first place and
I get an error message saying that the X windows cannot get started. only
restarting the computer solve the problem. I am not even sure if the two problem
are related.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.login out of any user on the machine.
2. or turning on the computer.
3.
	

Actual Results:  When I am logging off a user the screen sometimes freezes
(sometimes with an X in the middle of the screen), or the computer restarts
without any further action. Sometimes the log out works well and I get to the
login screen.
When it happens on startup, I get a message that I need to reconfigure the X,
but even reconfiguration would not resolve the problem and only restarting the
computer solves it (but not always, sometimes I need to restart an older version
of the kernel in order to get things to work).

Expected Results:  needless to say.

Additional info:
Comment 1 Javier Ramon Garcia 2002-12-18 19:39:51 EST
I'm having the same problem!. Aprox 1/3 of the times, after logging out from my KDE session, the Xserver or something freezes, and I have to hard-reset my computer. Some times the computer resets itself. 
Comment 2 Javier Ramon Garcia 2002-12-18 19:44:22 EST
Forget to say that I made a clean RH8.0 installation(not upgrade), and my 
system is up to date. 
 
Comment 3 Mike A. Harris 2002-12-18 23:45:23 EST
Please attach your X server config file and log file, as well as
/var/log/messages using the link below.  Also attach the output of "lsmod"
Comment 4 Need Real Name 2002-12-24 04:06:24 EST
Created attachment 88879 [details]
XFree86 Config file
Comment 5 Need Real Name 2002-12-24 04:08:59 EST
Created attachment 88880 [details]
XFree86.0.log
Comment 6 Need Real Name 2002-12-24 04:25:52 EST
Created attachment 88881 [details]
/var/log/messages.1
Comment 7 Need Real Name 2002-12-24 04:31:34 EST
Created attachment 88883 [details]
/var/log/messages
Comment 8 Need Real Name 2002-12-24 04:53:50 EST
Please find hereunder the lsmod output.

Please note that last week I could not start the X server any more so I had to
reinstall a clean copy of RH 8.0. Apparently it did not solve the problem.

lsmod
Module                  Size  Used by    Not tainted
ide-cd                 33608   0  (autoclean)
cdrom                  33696   0  (autoclean) [ide-cd]
i810_audio             25224   0  (autoclean)
ac97_codec             13416   0  (autoclean) [i810_audio]
soundcore               6532   2  (autoclean) [i810_audio]
ppp_deflate             4536   0  (autoclean)
zlib_deflate           21464   0  (autoclean) [ppp_deflate]
agpgart                43136   5  (autoclean)
ppp_async               9440   1  (autoclean)
ppp_generic            24380   3  (autoclean) [ppp_deflate ppp_async]
slhc                    6756   0  (autoclean) [ppp_generic]
autofs                 13348   0  (autoclean) (unused)
dmfe                   17089   1
iptable_filter          2412   0  (autoclean) (unused)
ip_tables              14936   1  [iptable_filter]
mousedev                5524   1
keybdev                 2976   0  (unused)
hid                    22244   0  (unused)
input                   5920   0  [mousedev keybdev hid]
usb-uhci               26188   0  (unused)
usbcore                77024   1  [hid usb-uhci]
ext3                   70336   2
jbd                    52212   2  [ext3]
Comment 9 Mike A. Harris 2004-09-24 14:53:40 EDT
Please upgrade to Fedora Core 2 or later, and if this issue turns
out to still be reproduceable, please file a bug report in the
X.Org bugzilla located at http://bugs.freedesktop.org in the
"xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.